# super fancy new All static microraptor plotter
require(ggplot2)

# FIRST SOME DATA HANDLING
# Load all Microraptor static data
D <- read.table('mguisprawl_0.txt',header=TRUE)
D$t <- (1:3000)/16








# now do some nice plots


# coefficients
fig1 <- ggplot(D,aes(t,Fx))+xlab('time, s')+ylab('X force, N')+geom_line(colour=I("#0000aa"),alpha=I(1/5))+geom_hline(yintercept=mean(D$Fx),colour=I("blue"))
pdf(file="Fxvst.pdf",width=3,height=1.5)
print(fig1+theme_bw(base_size=8)+opts(legend.position="none"))
dev.off()

fig2 <- ggplot(D,aes(t,Fx))+xlab('time, s')+ylab('Y force, N')+geom_line(colour=I("#aa0000"),alpha=I(1/5))+geom_hline(yintercept=mean(D$Fx),colour=I("red"))
pdf(file="Fyvst.pdf",width=3,height=1.5)
print(fig2+theme_bw(base_size=8)+opts(legend.position="none"))
dev.off()

fig3 <- ggplot(D,aes(t,Fx))+xlab('time, s')+ylab('Z moment, N-mm')+geom_line(colour=I("#005500"),alpha=I(1/5))+geom_hline(yintercept=mean(D$Fx),colour=I("green"))
pdf(file="Mzvst.pdf",width=3,height=1.5)
print(fig3+theme_bw(base_size=8)+opts(legend.position="none"))
dev.off()



