require(ggplot2)


D = read.table('tentReAll.txt',header=TRUE)

# alternate design
# for alpha channel: + geom_point(alpha=I(1/5))
#fig1 <- ggplot(data=D,aes(x=Re,y=CLift,color=basemodel))+xlab('Reynolds number')+ylab('lift coefficient')+geom_smooth()+geom_point(alpha=I(1/3))+xlim(28000,70000)+ylim(0,1)
#fig1
#pdf(file="liftvsRe.pdf",width=3,height=2)
#print(fig1+scale_colour_brewer(breaks=c('Sprawled','Tent','Biplane','Down'),palette='Set1')+theme_bw(base_size=8)+opts(legend.position="none"))
#dev.off()

fig1 <- ggplot(data=D,aes(x=Re,y=CLift,color=basemodel))+xlab('Reynolds number')+ylab('lift coefficient')+geom_point(shape=15)+geom_smooth()+xlim(28000,70000)+ylim(0,1)

pdf(file="liftvsRe.pdf",width=3,height=2)
print(fig1+scale_colour_manual(values=c('Sprawled'="#E41A1C",'Tent'="#377EB8",'Biplane'="#4DAF4A",'Down'="#984EA3"))+theme_bw(base_size=8)+opts(legend.position="none"))
dev.off()




fig2 <- ggplot(data=D,aes(x=Re,y=CDrag,color=basemodel))+xlab('Reynolds number')+ylab('drag coefficient')+geom_point(shape=15)+geom_smooth()+xlim(28000,70000)+ylim(0,1)

pdf(file="dragvsRe.pdf",width=3,height=2)
print(fig2+scale_colour_manual(values=c('Sprawled'="#E41A1C",'Tent'="#377EB8",'Biplane'="#4DAF4A",'Down'="#984EA3"))+theme_bw(base_size=8)+opts(legend.position="none"))
dev.off()




fig3 <- ggplot(data=D,aes(x=Re,y=CPitch,color=basemodel))+xlab('Reynolds number')+ylab('pitching moment coefficient')+geom_point(shape=15)+geom_smooth()+xlim(28000,70000)+ylim(-0.5,0.5)


pdf(file="pitchvsRe.pdf",width=3,height=2)
print(fig3+scale_colour_manual(values=c('Sprawled'="#E41A1C",'Tent'="#377EB8",'Biplane'="#4DAF4A",'Down'="#984EA3"))+theme_bw(base_size=8)+opts(legend.position="none"))
dev.off()



