require(ggplot2)

data = read.table('all speeds.txt',header=TRUE)

theplot <- ggplot(data,aes(dial,speed.mps,linetype=switch))+xlab('motor setting')+ylab('speed, m/s')+geom_point(alpha=I(1/20))+geom_smooth()
#+geom_text(aes(x=40,y=8,label="fast"))
# shape=15 for squares


pdf(file="tunnelcalibration.pdf",width=3,height=2)
print(theplot+theme_bw(base_size=8)+opts(legend.position="none"))
dev.off()

# for MSOffice friendly PNG?
#png(file='tunnelcalibration.png',width=300,height=200)
#print(theplot+theme_bw(base_size=16)+opts(legend.position="none"))
#dev.off()






# alternative design
#
#speeds.avg <- ddply(data,c("dial","switch"),function(df)
#return(c(speed.avg=mean(df$speed), speed.sd=sd(df$speed))))

#theplot2 <- ggplot(speeds.avg,aes(dial,speed.avg,ymax=speed.avg+speed.sd,ymin=speed.avg-speed.sd,color=switch))+xlab('motor setting')+ylab('speed, m/s')+geom_pointrange()+geom_smooth()

#pdf(file="foo2.pdf",width=3,height=2)
#theplot2+theme_bw(base_size=8)+opts(legend.position="none")
#dev.off()

#png(file='foo2.png',width=300,height=200)
#theplot2+theme_bw(base_size=16)+opts(legend.position="none")
#dev.off()
